<?php
namespace App\Repositories;
use App\Models\ComplaintSuggestions;

class ComplaintSuggestionsRepository
{
    public function __construct(ComplaintSuggestions $complaintSuggestions)
    {
        $this->complaintSuggestions = $complaintSuggestions;
    }

    public function index($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');

        return $this->complaintSuggestions->orderBy('id', 'desc')->paginate($perPage);

    }
}