<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateComplaintSuggestionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('complaint_suggestions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('mobile',16)->default('')->comment('预留手机号');
            $table->string('upload_user')->default('')->comment('上传用户');
            $table->integer('uid')->default(0)->comment('上传用户ID');
            $table->string('content',255)->default('')->comment('投诉内容');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('complaint_suggestions');
    }
}
